- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_IIOP_Lite_Protocol_Factory Class Reference

`#include <IIOP_Lite_Factory.h>`

Inheritance diagram for TAO_IIOP_Lite_Protocol_Factory:

[legend]
Collaboration diagram for TAO_IIOP_Lite_Protocol_Factory:

[legend]
List of all members.

## Public Member Functions
| TAO_IIOP_Lite_Protocol_Factory (void)
virtual | ~TAO_IIOP_Lite_Protocol_Factory (void)
virtual int | init (int argc, ACE_TCHAR *argv[])
| Dynamic linking hook.
virtual int | match_prefix (const ACE_CString &prefix)
| Verify prefix is a match.
virtual const char * | prefix (void) const
| Returns the prefix used by the protocol.
virtual char | options_delimiter (void) const
virtual TAO_Acceptor * | make_acceptor (void)
| Create an acceptor.
virtual TAO_Connector * | make_connector (void)
| Create a connector.
virtual int | requires_explicit_endpoint (void) const
## Private Attributes
int const | major_
int const | minor_

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_IIOP_Lite_Protocol_Factory::TAO_IIOP_Lite_Protocol_Factory | ( | void |  | ) |

TAO_IIOP_Lite_Protocol_Factory::~TAO_IIOP_Lite_Protocol_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_IIOP_Lite_Protocol_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[] |
| ) |  |  | `[virtual]`

Dynamic linking hook.

Reimplemented from TAO_Protocol_Factory.

TAO_Acceptor * TAO_IIOP_Lite_Protocol_Factory::make_acceptor | ( | void |  | ) | `[virtual]`

Create an acceptor.

Reimplemented from TAO_Protocol_Factory.

TAO_Connector * TAO_IIOP_Lite_Protocol_Factory::make_connector | ( | void |  | ) | `[virtual]`

Create a connector.

Reimplemented from TAO_Protocol_Factory.

int TAO_IIOP_Lite_Protocol_Factory::match_prefix | ( | const ACE_CString & | prefix | ) | `[virtual]`

Verify prefix is a match.

Reimplemented from TAO_Protocol_Factory.

char TAO_IIOP_Lite_Protocol_Factory::options_delimiter | ( | void |  | ) | const`[virtual]`

Return the character used to mark where an endpoint ends and where its options begin.

Reimplemented from TAO_Protocol_Factory.

const char * TAO_IIOP_Lite_Protocol_Factory::prefix | ( | void |  | ) | const`[virtual]`

Returns the prefix used by the protocol.

Reimplemented from TAO_Protocol_Factory.

int TAO_IIOP_Lite_Protocol_Factory::requires_explicit_endpoint | ( | void |  | ) | const`[virtual]`

Some protocols should not create a default endpoint unless the user specifies a -ORBEndpoint option. For example, local IPC (aka UNIX domain sockets) is unable to remove the rendesvouz point if the server crashes. For those protocols it is better to create the endpoint only if the user requests one.

Implements TAO_Protocol_Factory.

## Member Data Documentation

int const TAO_IIOP_Lite_Protocol_Factory::major_`[private]`

Changing the version number can be used to provide backwards compatibility with old clients.

int const TAO_IIOP_Lite_Protocol_Factory::minor_`[private]`

The documentation for this class was generated from the following files:

- IIOP_Lite_Factory.h
- IIOP_Lite_Factory.cpp